Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.maltparser.core.feature.value
Class SingleFeatureValue

    java.lang.Object
      org.maltparser.core.feature.value.FunctionValue
          org.maltparser.core.feature.value.FeatureValue
              org.maltparser.core.feature.value.SingleFeatureValue

    public class SingleFeatureValue

extends FeatureValue

Since:
  1.0
Author:
  Johan Hall

Field Summary
`protected int` | `indexCode`
`protected String` | `symbol`
`protected double` | `value`

Fields inherited from class org.maltparser.core.feature.value.FeatureValue
`nullValue`

Fields inherited from class org.maltparser.core.feature.value.FunctionValue
`function`

Constructor Summary
`SingleFeatureValue(Function function)`

Method Summary
`boolean` | `equals(Object obj)`
`int` | `getIndexCode()`
`String` | `getSymbol()`
`double` | `getValue()`
`int` | `hashCode()`
`boolean` | `isMultiple()`
`void` | `reset()`
`void` | `setIndexCode(int code)`
`void` | `setSymbol(String symbol)`
`void` | `setValue(double value)`
`String` | `toString()`
`void` | `update(int indexCode, String symbol, boolean nullValue, double value)`

Methods inherited from class org.maltparser.core.feature.value.FeatureValue
`isNullValue, setNullValue`

Methods inherited from class org.maltparser.core.feature.value.FunctionValue
`getFunction, setFunction`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### indexCode

    protected int indexCode

### symbol

    protected String symbol

### value

    protected double value

Constructor Detail

### SingleFeatureValue

    public SingleFeatureValue(Function function)

Method Detail

### reset

    public void reset()

  Overrides:
    `reset` in class `FeatureValue`

### update

    public void update(int indexCode,
                       String symbol,
                       boolean nullValue,
                       double value)

### getIndexCode

    public int getIndexCode()

### setIndexCode

    public void setIndexCode(int code)

### getSymbol

    public String getSymbol()

### setSymbol

    public void setSymbol(String symbol)

### getValue

    public double getValue()

### setValue

    public void setValue(double value)

### isMultiple

    public boolean isMultiple()

  Specified by:
    `isMultiple` in class `FeatureValue`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `FeatureValue`

### toString

    public String toString()

  Overrides:
    `toString` in class `FeatureValue`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007-2011 Johan Hall, Jens Nilsson and Joakim Nivre.